: Class RTServer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Free
Class RTServer

    java.lang.Object
      |
      +--Free.RTServer

public class RTServer
extends java.lang.Object

This is the main class which launches the `RTServer` program, splash screen and preloads some objects. Worthy of note is the `startDaemon` which fires up the database, logging system and TCP/IP server initialisation code.

Version:
  1.4 27 October 2001
Author:
  Jason Kitcat, Rajagopal C.V

Field Summary
`protected static boolean` | `carryOn`
`protected static Comms` | `comms`
`protected static java.lang.String` | `count_system`
`protected static Free.Category` | `DEV`
`protected static java.lang.String` | `er_public_key` public and private keys for communications
`protected static java.lang.String` | `fc_public_key`
`protected static RTFrame` | `frame`
`protected static CryptFrame` | `frame1`
`protected static Intro` | `frame2`
`protected static DBFrame` | `frame3`
`protected static Free.Category` | `NORM`
`protected static int` | `number_of_choices`
`protected static int` | `rServers`
`protected static int` | `rServersDone`
`protected static java.lang.String` | `rt_private_key`
`protected static java.lang.String` | `rt_public_key`
`protected static TCPServer` | `serv`
`protected static char` | `serverType`
`protected static long` | `timeOutTime`
`protected static java.lang.String` | `vote_system` defines the voting system
`protected static java.lang.String` | `write_in`

Constructor Summary
`protected` | `RTServer()`

Method Summary
`protected static void` | `main(java.lang.String[] args)`
`protected static void` | `startDaemon()` Fires up the database, logging system and TCP/IP server.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### er_public_key

    protected static final java.lang.String er_public_key

  public and private keys for communications

### fc_public_key

    protected static final java.lang.String fc_public_key

### rt_private_key

    protected static final java.lang.String rt_private_key

### rt_public_key

    protected static final java.lang.String rt_public_key

### vote_system

    protected static final java.lang.String vote_system

  defines the voting system

### count_system

    protected static final java.lang.String count_system

### number_of_choices

    protected static final int number_of_choices

### write_in

    protected static final java.lang.String write_in

### timeOutTime

    protected static final long timeOutTime

### carryOn

    protected static boolean carryOn

### serverType

    protected static char serverType

### rServers

    protected static int rServers

### rServersDone

    protected static int rServersDone

### frame

    protected static RTFrame frame

### frame2

    protected static Intro frame2

### frame3

    protected static DBFrame frame3

### serv

    protected static TCPServer serv

### frame1

    protected static CryptFrame frame1

### comms

    protected static Comms comms

### NORM

    protected static Free.Category NORM

### DEV

    protected static Free.Category DEV

Constructor Detail

### RTServer

    protected RTServer()

Method Detail

### main

    protected static void main(java.lang.String[] args)

### startDaemon

    protected static void startDaemon()

  Fires up the database, logging system and TCP/IP server. It also checks to see what mode the software is running in and adapts the GUI accordingly. Logging is done with `log4j`, more info is available from http://www.log4j.org/.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD